//==============================================
//      File rBkgndEd.pas
//
//      Components library for Delphi and BCB++.
//      TGraphicFileName property design editor.
//
//      Copyright 2002 Polaris Software
//      http://polesoft.da.ru
//      mailto: PolarisLib@mail.ru
//==============================================
unit rBkgndEd;

{$I POLARIS.INC}
{$IFDEF POLARIS_D6}
  {$WARN SYMBOL_PLATFORM OFF}
  {$WARN UNIT_PLATFORM OFF}
{$ENDIF}

interface
uses
  Classes, rBkgnd, Forms,
  {$IFDEF POLARIS_D6}DesignIntf,DesignEditors{$ELSE}DsgnIntf{$ENDIF};

Type TGraphicFileNameEditor = class( TStringProperty )
     public
       function GetAttributes: TPropertyAttributes; override;
       procedure Edit; override;
       function GetValue: String; override;
     end;

procedure Register;

implementation

Uses extdlgs, SysUtils;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TGraphicFileName), TrBackground, '',
                         TGraphicFileNameEditor );
end;

function TGraphicFileNameEditor.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;

procedure TGraphicFileNameEditor.Edit;
Var D: TOpenPictureDialog;
    S: String;
begin
  S := GetStrValue;
  D := TOpenPictureDialog.Create( Application );
  try
    //D.Title := srBkgndPic;
    D.InitialDir := ExtractFilePath(S);
    D.FileName   := S;
    if D.Execute then
      SetStrValue( D.FileName );
  finally
    D.Free;
  end;
end;

function TGraphicFileNameEditor.GetValue: String;
begin
  Result := inherited GetValue;
end;

end.
