//==============================================
//      File rbuttons.pas
//
//      Components library for Delphi and BCB++.
//      TrBitBtn.
//
//      Copyright 1998-2001 Polaris Software
//      http://members.xoom.com/PolarisSoft
//      mailto: PolarisLib@mail.ru
//==============================================
unit rButtons;

{$I POLARIS.INC}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, rUtils, rVCLUtils;

type
  TCustomRBitBtn = class(TBitBtn)
  private
    FGlyphResKind: TBitmapResKind;
    FGlyphResource: string;
    function IsGlyph: Boolean;
    procedure SetGlyphResKind(Value: TBitmapResKind);
    procedure SetGlyphResource(Value: string);
  protected
    property GlyphResKind:  TBitmapResKind read FGlyphResKind write SetGlyphResKind
                                           default DefBRK;
    property GlyphResource: string read FGlyphResource write SetGlyphResource;
    procedure Loaded; override;
  public
    constructor Create(AOwner: TComponent); override;
  published
    property Glyph stored IsGlyph;
  end;

  TrBitBtn = class(TCustomRBitBtn)
  published
    property Align;
    property GlyphResKind;
    property GlyphResource;
  end;

implementation

{ TCustomRBitBtn }

constructor TCustomRBitBtn.Create(AOwner: TComponent);
begin
  inherited;
  FGlyphResKind := DefBRK;
end;

function TCustomRBitBtn.IsGlyph;
begin
  Result := ((FGlyphResKind = rkNone) or (Trim(FGlyphResource) = '')) and (Kind = bkCustom);
end;

procedure TCustomRBitBtn.SetGlyphResource;
begin
  if FGlyphResource <> Value then begin
    FGlyphResource := Value;
    UpdateGlyph(Self, Glyph, FGlyphResKind, FGlyphResource);
  end;
end;

procedure TCustomRBitBtn.SetGlyphResKind;
begin
  if FGlyphResKind <> Value then begin
    FGlyphResKind := Value;
    UpdateGlyph(Self, Glyph, FGlyphResKind, FGlyphResource);
  end;
end;

procedure TCustomRBitBtn.Loaded;
begin
  inherited;
  UpdateGlyph(Self, Glyph, FGlyphResKind, FGlyphResource);
end;

end.
