//==============================================
//      File rdbcomboedit.pas
//
//      Components library for Delphi and BCB++.
//      TrDBComboEdit.
//
//      Copyright 1998-2002 Polaris Software
//      http://polesoft.da.ru
//      mailto: PolarisLib@mail.ru
//==============================================
unit rDBComboEdit;

{$I POLARIS.INC}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  rUtils, rVCLUtils, RXDBCtrl, ToolEdit;

type
  TrDBComboEdit = class(TRxDBComboEdit)
  private
    FGlyphResKind: TBitmapResKind;
    FGlyphResource: string;
    FOnCloseUp: TNotifyEvent;
    function IsGlyph: Boolean;
    procedure SetGlyphResKind(Value: TBitmapResKind);
    procedure SetGlyphResource(Value: string);
  protected
    property OnCloseUp: TNotifyEvent read FOnCloseUp write FOnCloseUp;
    procedure Loaded; override;
  public
    constructor Create(AOwner: TComponent); override;
    property Button;
  published
    property Align;
    property Glyph stored IsGlyph;
    property GlyphResKind:  TBitmapResKind read FGlyphResKind write SetGlyphResKind
                                           default DefBRK;
    property GlyphResource: string read FGlyphResource write SetGlyphResource;
  end;

implementation

{ TrDBComboEdit }

constructor TrDBComboEdit.Create(AOwner: TComponent);
begin
  inherited;
  FGlyphResKind := DefBRK;
end;

function TrDBComboEdit.IsGlyph;
begin
  Result := ((FGlyphResKind = rkNone) or (Trim(FGlyphResource) = '')) and (GlyphKind = gkCustom);
end;

procedure TrDBComboEdit.SetGlyphResource;
begin
  if FGlyphResource <> Value then begin
    FGlyphResource := Value;
    UpdateGlyph(Self, Button.Glyph, FGlyphResKind, FGlyphResource);
  end;
end;

procedure TrDBComboEdit.SetGlyphResKind;
begin
  if FGlyphResKind <> Value then begin
    FGlyphResKind := Value;
    UpdateGlyph(Self, Button.Glyph, FGlyphResKind, FGlyphResource);
  end;
end;

procedure TrDBComboEdit.Loaded;
begin
  inherited;
  UpdateGlyph(Self, Button.Glyph, FGlyphResKind, FGlyphResource);
end;

end.
